#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Overlay_Window.H>
#include <FL/Fl_Counter.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Check_Button.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Item.H>
#include <FL/Fl_Item_Group.H>
#include <FL/Fl_Divider.H>
#include <FL/Fl_Tooltip.H>
#include <FL/Fl_Output.H>
#include <FL/Fl_Pixmap.H>
#include <FL/fl_draw.H>
#include <FL/Fl_Box.H>
#include <FL/fl_ask.H>
#include <FL/fl_file_chooser.H>

//#include "FileDialog.h"

#include "../../plugins/Plugin.h"
#include "../../plugins/PluginManager.h"

#include "Pics/configure.xpm"
//#include "pics/fullscreen.xpm"
#include "Pics/help.xpm"
#include "Pics/loop.xpm"
//#include "pics/open.xpm"
#include "Pics/pause.xpm"
#include "Pics/play.xpm"
#include "Pics/sound.xpm"
#include "Pics/stop.xpm"
#include "Pics/video.xpm"

#include "Pics/zzplayer.xpm"





enum SMPEGState {Stop, Play, Pause};


struct Zz_options
{
	int windowId;
	bool popupOnClick;
	bool fullScreenOnOpen;
	bool keepResolution;
	bool keepRatio;
	bool withAudio;
	bool closeOnEnd;
	bool viewControl;
	bool saveOnExit;
	bool endLessLoop;
	bool multipleInstance;
	bool bilinearFilter;
	int  viewRatio;

	char *VCDDevice;
};
