//============================================================================
//
//	ZZplayer : MPEG-I video player
// 	Copyright (C) 1999 Nicolas Vignal <nicolas.vignal@fnac.net
//
//  Author  : Nicolas Vignal
//  E-Mail  : nicolas.vignal@fnac.net
//  Home    : http://zzplayer.sourceforge.net

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//============================================================================

#include "VirtualMpeg.h"

#ifndef MPEGFILE_H
#define MPEGFILE_H

class MpegFile : public VirtualMpeg
{
private :
  long long totalSize;
	long long startOffset;

public :
  MpegFile(const char *file, int withaudio, int withvideo, int windowID,int (*eventcallback)(ZZ_EventStruct *));
  ~MpegFile();
  void pause(void);
  void getInfo( int * seek, double *fps, int *frame);
  void setSeek(int seek);
};

#endif
