/*  gmpeg- MPEG-1 player for Linux
 *
 *  Copyright (C) 2000 Jayan. S. R
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef GUI_H
#define GUI_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <smpeg/smpeg.h>
#include <SDL/SDL.h>



#define FASTFW  1
#define REWIND  0

extern "C" {

GtkWidget *xpm_label_box ( GtkWidget *, gchar **, gchar *);
void ok_dialog_clicked ( GtkWidget *widget, GtkDialog *dlg );

int gnomegui(int argc, char *argv[],int fullscreen, int volume, int autoclose , int loop, int keepthisresolution, int saveoptions, int windowID);

void dialog_box_error ( char *message, char *button_text );

int sdl_initialize ();
int play_mpeg( char *file_name );
void pause_mpeg ();
void stop_mpeg ();
void resume_mpeg ();
void loop_mpeg ();
void zoom_mpeg ( );
void set_volume_mpeg ( int volume );
void full_screen_mpeg ( );
void move_frames_mpeg ( int position, GtkAdjustment *adj  );
int is_mpeg_playing ();
Uint32 get_position_of_mpeg ();
Uint32 get_total_size_of_mpeg ( );
void skip_frames_mpeg ( int ffrw );

}
#endif
