//============================================================================
//
//	ZZplayer : MPEG-I video player
// 	Copyright (C) 1999 Nicolas Vignal <nicolas.vignal@fnac.net
//  Home    : http://www.chez.com/tsc/zzplayer/zzplayer.html
//
//	Requires the Qt widget libraries, available at no cost at
//      http://www.troll.no
//
//  File    : zzoptions.h
//  Author  : Frederic Grasset
//  E-Mail  : frederic.grasset@wanadoo.fr

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//============================================================================

#ifndef __ZZOPTIONS_H__
#define __ZZOPTIONS_H__

#include <qstring.h>

#define FIXE_TAILLE(a) (a)->setFixedSize((a)->sizeHint())
#define FIXE_HAUT(a) (a)->setFixedHeight((a)->sizeHint().height())
#define FIXE_MIN(a) (a)->setMinimumSize((a)->sizeHint())

#define VOL_DEF 60

struct ZZoptions
{
  int windowId;
  bool popupOnClick;
  bool fullScreenOnOpen;
  bool keepResolution;
  bool keepRatio;
  bool withAudio;
  bool closeOnEnd;
  bool viewControl;
  bool saveOnExit;
  bool endLessLoop;
  bool multipleInstance;
  bool bilinearFilter;
  int  viewRatio;
  
  QString VCDDevice;
  QString HelpPath;
};



#endif
