//============================================================================
//
//	ZZplayer : MPEG-I video player
// 	Copyright (C) 1999 Nicolas Vignal <nicolas.vignal@fnac.net
//
//	Requires the Qt widget libraries, available at no cost at
//      http://www.troll.no
//	
//  Author  : Nicolas Vignal
//  E-Mail  : nicolas.vignal@fnac.net
//  Home    : http://zzplayer.sourceforge.net

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//============================================================================

#ifndef KDEMAIN_CPP
#define KDEMAIN_CPP

#include "zzplayer.h"

ZZplayer *player;	

int kdegui(int argc, char *argv[],int fullscreen, int volume, int autoclose , int loop, int keepthisresolution, int saveoptions, int windowID)
{	
	
	QString file;

	KApplication app(argc,argv,"ZZplayer");

	if ( (argc == 1) || (argc == optind))
	  {
	  file=kapp->kde_datadir() + "/ZZplayer/ZZplayer.mpg";
	  if (fullscreen==2)
		{
		fullscreen=0;
		}
		if (autoclose==2)
		  {
		  autoclose=0;
		  }
		if (saveoptions==2)
		  {
		  saveoptions=0;
		  }
	  }
	else
	  {
	  file=argv[optind];
	  }

	player = new ZZplayer(file,fullscreen,volume,autoclose,loop,keepthisresolution,saveoptions,windowID);

	app.setMainWidget(player);

	return app.exec();
}
#endif
